Properties Methods Events Direct Link

    NativeWindowGroup
      NativeWindowManager

# Class Ext.air.NativeWindowManager

Package: | Ext.air
Defined In: | NativeWindow.js
Class: | NativeWindowManager
Extends: | NativeWindowGroup

Collection of all NativeWindows created.
This class is a singleton and cannot be created directly.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

closeAll() : void
Closes all windows
Closes all windows
Parameters:

- None.

Returns:

- `void`

NativeWindowGroup

each( `Function fn`, [`Object scope`] ) : void
Executes the specified function once for every window in the group, passing each window as the only parameter. Return...
Executes the specified function once for every window in the group, passing each window as the only parameter. Returning false from the function will stop the iteration.
Parameters:

- `fn` : Function
  The function to execute for each item
- `scope` : Object
  (optional) The scope in which to execute the function

Returns:

- `void`

NativeWindowGroup

get( `String id` ) : void
Parameters:

- `id` : String

Returns:

- `void`

NativeWindowGroup

register( `Object win` ) : void
Parameters:

- `win` : Object

Returns:

- `void`

NativeWindowGroup

unregister( `Object win` ) : void
Parameters:

- `win` : Object

Returns:

- `void`

NativeWindowGroup

## Public Events

This class has no public events.